Get an alert
curl --request GET \
--url https://api.monitor.weborion.io/api/v1/alerts/{alert} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.monitor.weborion.io/api/v1/alerts/{alert}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.monitor.weborion.io/api/v1/alerts/{alert}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"url": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"time_detected": "<string>",
"download_difference_url": "<string>",
"result": {
"summary": "<string>",
"network_error": true,
"screenshot": {
"before": "<string>",
"after": "<string>",
"difference": "<string>"
},
"ai_triage_result": {
"description": "<string>",
"reasons": [
"<string>"
],
"suggested_action": "<string>"
},
"changes_detected": {
"content_engine": {
"title": {
"baseline": "<string>",
"threshold": "<string>",
"current": "<string>",
"difference": "<string>"
},
"href": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"img": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"script": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"div": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"css": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"iframe": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"line_num": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"hash": {
"baseline": "<string>",
"threshold": "<string>",
"current": "<string>",
"difference": "<string>"
}
},
"user_specified_keywords": {
"included": [
"<string>"
],
"excluded": [
"<string>"
]
},
"integrity_engine": {
"href": [
"<string>"
],
"img": [
"<string>"
],
"script": [
"<string>"
],
"css": [
"<string>"
],
"iframe": [
"<string>"
]
},
"image_engine": [
{
"crop_number": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"threshold_percentage": 123,
"result_percentage": 123,
"change_percentage": 123
}
]
},
"changes_detected_from_baseline": {
"content_engine": {
"title": {
"baseline": "<string>",
"threshold": "<string>",
"current": "<string>",
"difference": "<string>"
},
"href": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"img": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"script": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"div": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"css": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"iframe": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"line_num": {
"baseline": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"hash": {
"baseline": "<string>",
"threshold": "<string>",
"current": "<string>",
"difference": "<string>"
}
},
"user_specified_keywords": {
"included": [
"<string>"
],
"excluded": [
"<string>"
]
},
"integrity_engine": {
"href": [
"<string>"
],
"img": [
"<string>"
],
"script": [
"<string>"
],
"css": [
"<string>"
],
"iframe": [
"<string>"
]
},
"image_engine": [
{
"crop_number": 123,
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"threshold_percentage": 123,
"result_percentage": 123,
"change_percentage": 123
}
]
},
"changes_detected_from_last_alert": {
"content_engine": {
"title": {
"last_alert": "<string>",
"threshold": "<string>",
"current": "<string>",
"difference": "<string>"
},
"href": {
"last_alert": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"img": {
"last_alert": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"script": {
"last_alert": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"div": {
"last_alert": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"css": {
"last_alert": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"iframe": {
"last_alert": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"line_num": {
"last_alert": 123,
"threshold": 123,
"current": 123,
"difference": 123
},
"hash": {
"last_alert": "<string>",
"threshold": "<string>",
"current": "<string>",
"difference": "<string>"
}
},
"user_specified_keywords": {
"included": [
"<string>"
],
"excluded": [
"<string>"
]
},
"integrity_engine": {
"href": [
"<string>"
],
"img": [
"<string>"
],
"script": [
"<string>"
],
"css": [
"<string>"
],
"iframe": [
"<string>"
]
}
}
}
}Alerts
Get an alert
Returns detailed information about the specified alert.
GET
/
api
/
v1
/
alerts
/
{alert}
Get an alert
Authorizations
Generate an API token from the WebOrion Defacement Monitor portal. Pass it as Authorization: Bearer <token>.
Path Parameters
Alert ID
Response
200 - application/json
OK
⌘I
